From reg@shale.csir.co.za  Sat Jan 30 09:45:49 1999
Received: from shale.csir.co.za (shale.csir.co.za [146.64.46.5])
          by hub.freebsd.org (8.8.8/8.8.8) with ESMTP id JAA16177
          for <FreeBSD-gnats-submit@freebsd.org>; Sat, 30 Jan 1999 09:45:42 -0800 (PST)
          (envelope-from reg@shale.csir.co.za)
Received: (from reg@localhost)
	by shale.csir.co.za (8.9.2/8.9.2) id TAA44779;
	Sat, 30 Jan 1999 19:45:36 +0200 (SAT)
	(envelope-from reg)
Message-Id: <199901301745.TAA44779@shale.csir.co.za>
Date: Sat, 30 Jan 1999 19:45:36 +0200 (SAT)
From: reg@shale.csir.co.za
Reply-To: reg@shale.csir.co.za
To: FreeBSD-gnats-submit@freebsd.org
Subject: Port fix: ORBit
X-Send-Pr-Version: 3.2

>Number:         9801
>Category:       ports
>Synopsis:       Port fix: ORBit
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    freebsd-ports
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat Jan 30 09:50:00 PST 1999
>Closed-Date:    Sun Jan 31 08:55:53 PST 1999
>Last-Modified:  Sun Jan 31 08:57:29 PST 1999
>Originator:     Jeremy Lea
>Release:        FreeBSD 3.0-CURRENT i386
>Organization:
Arb's Inc.
>Environment:

	FreeBSD Ports collection

>Description:

	Really fix for 4.0-CURRENT, and add virtual catagory gnome.

>How-To-Repeat:

	

>Fix:
	
	
Index: Makefile
===================================================================
RCS file: /usr/home/ncvs/ports/devel/ORBit/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- Makefile	1999/01/27 08:31:49	1.12
+++ Makefile	1999/01/27 10:46:40
@@ -7,7 +7,7 @@
 #
 
 DISTNAME=	ORBit-0.3.91
-CATEGORIES=	devel
+CATEGORIES=	devel gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}
 MASTER_SITE_SUBDIR=	ORBit
 
Index: patches/patch-aa
===================================================================
RCS file: /usr/home/ncvs/ports/devel/ORBit/patches/patch-aa,v
retrieving revision 1.7
diff -u -r1.7 patch-aa
--- patch-aa	1999/01/28 21:31:37	1.7
+++ patch-aa	1999/01/30 17:40:46
@@ -19,6 +19,15 @@
  	  echo "Fatal configuration error.  See the $PACKAGE docs for more information." 1>&2
 --- ltconfig.orig	Mon Dec 28 23:31:30 1998
 +++ ltconfig	Thu Jan 14 18:44:57 1999
+@@ -823,7 +823,7 @@
+     ;;
+ 
+   # FreeBSD 3, at last, uses gcc -shared to do shared libraries.
+-  freebsd3*)
++  freebsd3* | freebsd4*)
+     archive_cmds='$CC -shared -o $lib$libobjs'
+     hardcode_libdir_flag_spec='-R$libdir'
+     hardcode_direct=yes
 @@ -1160,10 +1160,21 @@
    finish_eval='for lib in `ls $libdir/*.ixlibrary 2>/dev/null`; do libname=`$echo "X$lib" | $Xsed -e '\''s%^.*/\([^/]*\)\.ixlibrary$%\1%'\''`; test $rm /sys/libs/${libname}_ixlibrary.a; $show "(cd /sys/libs && $LN_S $lib ${libname}_ixlibrary.a)"; (cd /sys/libs && $LN_S $lib ${libname}_ixlibrary.a) || exit 1; done'
    ;;
@@ -63,6 +72,15 @@
  	  echo "Fatal configuration error.  See the $PACKAGE docs for more information." 1>&2
 --- libIDL/ltconfig.orig	Mon Dec 28 23:31:39 1998
 +++ libIDL/ltconfig	Thu Jan 14 18:45:24 1999
+@@ -823,7 +823,7 @@
+     ;;
+ 
+   # FreeBSD 3, at last, uses gcc -shared to do shared libraries.
+-  freebsd3*)
++  freebsd3* | freebsd4*)
+     archive_cmds='$CC -shared -o $lib$libobjs'
+     hardcode_libdir_flag_spec='-R$libdir'
+     hardcode_direct=yes
 @@ -1160,10 +1160,21 @@
    finish_eval='for lib in `ls $libdir/*.ixlibrary 2>/dev/null`; do libname=`$echo "X$lib" | $Xsed -e '\''s%^.*/\([^/]*\)\.ixlibrary$%\1%'\''`; test $rm /sys/libs/${libname}_ixlibrary.a; $show "(cd /sys/libs && $LN_S $lib ${libname}_ixlibrary.a)"; (cd /sys/libs && $LN_S $lib ${libname}_ixlibrary.a) || exit 1; done'
    ;;

>Release-Note:
>Audit-Trail:
State-Changed-From-To: open->closed 
State-Changed-By: vanilla 
State-Changed-When: Sun Jan 31 08:55:53 PST 1999 
State-Changed-Why:  
Committed, thanks. 
>Unformatted:
